Bug 450722 - Raid1 boot corruption on removal of mirror component
Raid1 boot corruption on removal of mirror component
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 13:15 EDT by John Whitley
Modified: 2009-07-14 12:10 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:10:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Text file expanding on problem (1.30 KB, text/plain)
2008-06-10 13:15 EDT, John Whitley
no flags Details

  None (edit)
Description John Whitley 2008-06-10 13:15:15 EDT
Description of problem:
System fails to boot when one half of mirrored pair is absent. /boot fails fsck

Version-Release number of selected component (if applicable):
Fedora 9 (OK on Fedora 8)

How reproducible:
Very. Every attempt to boot

Steps to Reproduce:
1. Install Fedora with two disc which mirror each other (Raid1)
2. Reboot with one disc removed
3. Observe failure to boot
  
Actual results:
Fails to boot with fsck error of /dev/md0

Expected results:
Boot but with removed disc absent from mirrors 

Additional info:
Comment 1 John Whitley 2008-06-10 13:15:15 EDT
Created attachment 308843 [details]
Text file expanding on problem
Comment 2 Bruno Wolff III 2008-06-18 10:52:49 EDT
This is partially a duplicate of 160563, but I think the symptoms displayed are
related to a change in grub to handle ext3 with larger inodes. So I am not 100%
if this should be closed as a duplicate of 160563.
Comment 3 John Whitley 2008-06-18 12:11:25 EDT
I should add that both discs had had grub run on them under Fodera 8 as follows:

grub> device (hd0) /dev/sd[ab]
grub> root (hd0,0)
grub> setup (hd0)

The fsck failed someway into the boot, i.e. after running udev
Comment 4 Heinz Mauelshagen 2008-06-18 13:19:18 EDT
Adjusted component to mkinitrd.
Is this a static init script issue not being able to map the degraded mirror
propperly ?
Comment 5 Graham Leggett 2008-07-24 19:48:23 EDT
Just ran into this exact same problem, we are currently stuck unable to do a
system migration because of this problem.

Is there a workaround to bring the grub configuration into a useable state?
Comment 6 p.czerewko 2008-08-28 03:37:49 EDT
I have this problem too.
Is there any solution?
Or i should change distro?
Distro without goodworking RAID1 is useless for me
Comment 8 Bug Zapper 2009-06-09 21:31:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:10:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.